#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "ENumericalConstraintComparisonMethod.h"
#include "NumericalConstraintsCondition_Float.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class COMPETENCE_API UNumericalConstraintsCondition_Float : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TMap<ENumericalConstraintComparisonMethod, float> _numericalConstraints;

public:
	UNumericalConstraintsCondition_Float();
};

FORCEINLINE uint32 GetTypeHash(const UNumericalConstraintsCondition_Float) { return 0; }
